const express = require('express');
const app = express();

const cors = require('cors');
app.use(cors());
app.options('*', cors());

const bodyParser = require('body-parser')
app.use(bodyParser.json());

const searchService = require('./samples/interactive-tutorials/search/search-simple-query');

app.get('/search', (req, res) => {
    searchService(req.query.text)
        .then(result => {
            return res.send(result);
        })
        .catch(err => res.send(err))
});

app.listen(3002);
